[Python-Dev] Proposing PEP 345 : Metadata for Python Software Packages 1.2

Tarek Ziadé ziade.tarek at gmail.com
Wed Dec 23 11:21:30 CET 2009


On Wed, Dec 23, 2009 at 11:18 AM, Tarek Ziadé <ziade.tarek at gmail.com> wrote:
[..]
>
> if a "1.2" field is found and no "1.1" field is found:
>    metadata 1.2 is used
> if a "1.1" field is found and no "1.2" field is found:
>    metadata 1.1 is used + a warning is displayed
> if a "1.1" field is found and a "1.2" field is found:
>    a warning is displayed and 1.2 is used, 1.1 fields are ignored
> if no 1.1 field or 1.2 fields are found:
>    metadata 1.2 is used

That would be internal to Distutils btw. tools should consume PKG-INFO
using the DistributionMetadata reader, looking for the various attributes.

"requires", etc. would be kept, most of the time set to "None", then removed
at the next Python version.


More information about the Python-Dev mailing list